package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.performance.*;

import javax.servlet.http.HttpServletRequest;

public interface IPerformanceService {
    PageResult<PayPerformanceResult> query(PayPerformanceParam param, HttpServletRequest request);

    AjaxResult<PayPerformanceDetailResult> view(String planid, Integer sellorbuy, String histradedate, HttpServletRequest request);

    AjaxResult doBreach(PayPerformanceBreachParam param, HttpServletRequest request);

    AjaxResult doDelay(PayPerformanceDelayParam param, HttpServletRequest request);
}
